## nvidia-graphics-drivers 390.87

=== debian/changelog ===
nvidia-graphics-drivers (390.87-6~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper compat 10.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Feb 2019 14:20:41 -0800

nvidia-graphics-drivers (390.87-6~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Jan 2019 20:15:23 +0100

nvidia-graphics-drivers (390.87-6) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add ipmi-user.patch and vm-insert-pfn.patch to fix kernel module build for
    Linux 4.20 and newer.  (Closes: #917586)
  * Update Swedish (sv) debconf translation. Thank you Martin Bagge!
    (Closes: #918018)

  [ Andreas Beckmann ]
  * Switch to debhelper-compat (= 12).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Jan 2019 00:32:54 +0100

nvidia-graphics-drivers (390.87-5) unstable; urgency=medium

  * Prefer KBUILD_LDFLAGS (used since 4.19) over LDFLAGS.  (Closes: #916883)
  * Work around update-alternatives bug #916799 and re-register the
    alternative to clean-up leftover slaves.
  * Bump Standards-Version to 4.3.0. No changes needed.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Dec 2018 02:44:40 +0100

nvidia-graphics-drivers (390.87-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Dec 2018 04:57:44 +0100

nvidia-graphics-drivers (390.87-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Drop libnvidia-egl-wayland1, nvidia-egl-wayland-{common,icd} packages.
    These will be provided by src:egl-wayland.  (Closes: #915824)
  * Add more Conflicts between GLVND/non-GLVND packages to smoothen some
    install paths with --install-recommends enabled.

  [ Philipp Kern ]
  * debian/gen-control.pl: Generate debian/control from debian/control.in.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Dec 2018 18:29:08 +0100

nvidia-graphics-drivers (390.87-3) unstable; urgency=medium

  * Make libgles-nvidia1 a full citizen again, libglvnd now builds libgles1.
  * libnvidia-fatbinaryloader: Prevent co-installation with the same upstream
    version of libnvidia-legacy-390xx-fatbinaryloader.
  * Pass the private library directory to dh_shlibdeps using the -l option
    instead of LD_LIBRARY_PATH, fixing FTBFS with dpkg 1.19.1.
  * Add Build-Depends-Package to symbols files where appropriate and override
    symbols-file-missing-build-depends-package-field elsewhere.
  * Clean up and unify rule style in debian/rules.
  * Add debian/rules targets for archiving the tarballs in a separate
    repository using sparse checkouts and git-lfs as storage backend.
  * Switch to debhelper-compat (= 11).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Nov 2018 13:28:56 +0100

nvidia-graphics-drivers (390.87-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 23 Sep 2018 14:45:34 +0200

nvidia-graphics-drivers (390.87-2) unstable; urgency=medium

  * Reinstate cc_version_check-gcc5.patch.  (Closes: #908568)
  * nvidia-kernel-dkms.README.Debian: Document that using a mismatching
    binutils version may result in modules failing to load with errors like
    "Invalid module format", "Unknown rela relocation: 4".

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Sep 2018 20:42:51 +0200

nvidia-graphics-drivers (390.87-1) unstable; urgency=medium

  * New upstream long lived branch release 390.87 (2018-08-27).
    - Fixed a resource leak introduced in the 390 series of drivers that could
      lead to reduced performance after starting and stopping several OpenGL
      and/or Vulkan applications.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Add drm-mode.patch to fix nvidia-drm build for Linux 4.19.
    (Closes: #908359)

  [ Andreas Beckmann ]
  * Remove cc_version_check-gcc5.patch and re-enable strict version checks,
    using mismatching compiler versions may create unloadable modules due to
    unsupported relocations.
  * Refresh patches.
  * Synchronize the module build debhelper sequence with debhelper 10.
  * Bump Standards-Version to 4.2.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Sep 2018 15:24:08 +0200

nvidia-graphics-drivers (390.77-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Use vulkan from stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Aug 2018 01:01:44 +0200

nvidia-graphics-drivers (390.77-1) unstable; urgency=medium

  * New upstream long lived branch release 390.77 (2018-07-16).
    - Improved compatibility with recent Linux kernels.
    - Fixed an intermittent hang of Vulkan applications running fullscreen
      when flipping is allowed.
    - Removed informational messages that were printed by nvidia-modeset.ko
      whenever a GPU device was allocated or freed.
    - Fixed a bug that caused kwin OpenGL compositing to crash when
      launching certain OpenGL applications.
  * New upstream release 367 series.
    - Updated the OpenGL driver to allow the use of integer format (SINT/UINT)
      color attachments with depth attachments in Frame Buffer Objects.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jul 2018 15:35:18 +0200

nvidia-graphics-drivers (390.67-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add drm_control_allow.patch to fix kernel module build for Linux 4.18 and
    newer.

  [ Andreas Beckmann ]
  * The libGLX_indirect.so.0 alternative is now handled by glx-alternatives.
  * Bump Standards-Version to 4.1.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jul 2018 23:57:17 +0200

nvidia-graphics-drivers (390.67-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Use libglvnd and MESA from stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 Jul 2018 02:04:54 +0200

nvidia-graphics-drivers (390.67-2) unstable; urgency=high


