## nvidia-graphics-drivers 390.116

=== debian/changelog ===
nvidia-graphics-drivers (390.116-1) stretch; urgency=medium

  * New upstream legacy branch release 390.116 (2019-02-22).
    * Fixed CVE‑2018‑6260.  (Closes: #913467)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4772
    - Fixed build failures which resulted in errors like "implicit declaration
      of function drm_...", when building the NVIDIA DRM kernel module for Linux
      kernel 5.0 release candidates.
    - Fixed a bug which could cause VK_KHR_external_semaphore_fd operations
      to fail.
    - Fixed a build failure, "implicit declaration of function
      'vm_insert_pfn'", when building the NVIDIA DRM kernel module for Linux
      kernel 4.20 release candidates.
    - Fixed a build failure, "unknown type name 'ipmi_user_t'", when building
      the NVIDIA kernel module for Linux kernel 4.20 release candidates.
    - Fixed a bug that caused mode switches to fail when an SDI output board was
      connected.
    - Fixed a bug that could cause rendering corruption in Vulkan programs.
    - Fixed a bug that caused vkGetPhysicalDeviceDisplayPropertiesKHR() to
      occasionally return incorrect values for physicalResolution.
  * New upstream legacy branch release 340 series.
    - Fixed a build failure, "too many arguments to function 'get_user_pages'",
      when building the NVIDIA kernel module for Linux kernel v4.4.168.
    - Fixed a build failure, "implicit declaration of function do_gettimeofday",
      when building the NVIDIA kernel module for Linux kernel 5.0 release
      candidates.
    - Added a new kernel module parameter, NVreg_RestrictProfilingToAdminUsers,
      to allow restricting the use of GPU performance counters to system
      administrators only.

  [ Luca Boccassi ]
  * Drop kmem_cache_create_usercopy.patch, drm-mode.patch,
    ipmi-user.patch, vm-insert-pfn.patch: fixed upstream.
  * Update symbols files.

  [ Andreas Beckmann ]
  * nvidia-detect: stretch now has a 390.xx driver.
  * nvidia-kernel-source: Bump debhelper dependency to match Build-Depends.
  * Upload to stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Mar 2019 09:27:07 +0100

nvidia-graphics-drivers (390.87-8~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 10:00:53 +0100

nvidia-graphics-drivers (390.87-8) unstable; urgency=medium

  * Tune more package relationships to prevent that installing packages from
    nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
    nvidia-graphics-drivers via Recommends.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Feb 2019 01:36:47 +0100

nvidia-graphics-drivers (390.87-7) unstable; urgency=medium

  * Updated French (fr) debconf translations by Quentin Lejard.
    (Closes: #920940)
  * Use d/control.md5sum to keep track of d/control being up-to-date.
  * Tune package relationships to prevent that installing packages from
    nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
    nvidia-graphics-drivers via Recommends.
  * Drop versioned constraints that are satisfied in wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Feb 2019 15:24:09 +0100
