=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Source: nvidia-graphics-drivers
 Section: non-free/libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
@@ -12,14 +11,15 @@
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git
 Build-Depends:
- debhelper (>= 10.2),
+ debhelper (>= 10),
  dpkg-dev (>= 1.18.8),
  xz-utils,
  dkms,
- libvulkan1 (>= 1.0.42),
+ libvulkan1,
  libxext6 [!ppc64el],
  quilt,
  po-debconf,
+Build-Conflicts:
  libglvnd-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
@@ -43,6 +43,7 @@
  ${misc:Depends}
 Recommends:
  ${nvidia-settings},
+ lib${nvidia}-cfg1 (= ${binary:Version}),
  nvidia-persistenced,
 Suggests:
  ${nvidia:kmod:source},
@@ -108,13 +109,6 @@
  ${nvidia}-vulkan-icd (= ${binary:Version}) [amd64 i386],
 Conflicts:
  libgldispatch0-nvidia,
- libglvnd0-nvidia,
- libopengl0-glvnd-nvidia,
- libglx0-glvnd-nvidia,
- libgl1-glvnd-nvidia-glx,
- libegl1-glvnd-nvidia,
- libgles1-glvnd-nvidia,
- libgles2-glvnd-nvidia,
 Breaks:
  ${nvidia}-driver-libs-nonglvnd,
  libgl1-${nvidia}-glx,
@@ -154,13 +148,8 @@
  ${nvidia}-nonglvnd-vulkan-icd (= ${binary:Version}) [amd64 i386],
 Conflicts:
  libgldispatch0-nvidia,
- libglvnd0-nvidia,
- libopengl0-glvnd-nvidia,
- libglx0-glvnd-nvidia,
  libgl1-glvnd-nvidia-glx,
  libegl1-glvnd-nvidia,
- libgles1-glvnd-nvidia,
- libgles2-glvnd-nvidia,
 Breaks:
  ${nvidia}-driver-libs,
  libgl1-${nvidia}-glvnd-glx,
@@ -193,7 +182,7 @@
 Depends:
  lib${nvidia}-glcore (= ${binary:Version}),
  ${nvidia}-alternative (= ${binary:Version}),
- nvidia-support (>= 20120630),
+ nvidia-support,
  ${nvidia:xorgDepends},
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
@@ -226,7 +215,7 @@
 Architecture: i386 amd64 armhf
 Multi-Arch: foreign
 Pre-Depends:
- debconf (>= 0.5) | debconf-2.0,
+ debconf | debconf-2.0,
  pciutils,
  nvidia-installer-cleanup (>= 20151021),
 Depends:
@@ -237,6 +226,68 @@
  .
  If such hardware is present, a (preseedable) debconf question will be asked to
  confirm the installation of the current driver line.
+
+Package: libglvnd0-nvidia
+Architecture: i386 amd64 armhf
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends}, ${misc:Depends}
+Provides:
+ glvnd-nvidia-abi-375.20,
+Conflicts:
+ libglvnd0,
+ libgldispatch0,
+Breaks:
+ libgldispatch0-nvidia,
+Replaces:
+ libglvnd0,
+ libgldispatch0,
+ libgldispatch0-nvidia,
+Description: Vendor neutral GL dispatch library -- libGLdispatch
+ This is an implementation of the vendor-neutral dispatch layer for
+ arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
+ .
+ This package contains the (binary) GLVND libGLdispatch.so.0 shared library
+ provided by NVIDIA.
+
+Package: libopengl0-glvnd-nvidia
+Architecture: i386 amd64 armhf
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends}, ${misc:Depends}
+Conflicts:
+ libopengl0,
+Replaces:
+ libopengl0,
+Description: Vendor neutral GL dispatch library -- libOpenGL
+ This is an implementation of the vendor-neutral dispatch layer for
+ arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
+ .
+ This package contains the (binary) GLVND libOpenGL.so.0 stub library provided
+ by NVIDIA which dispatches to vendor implementations via GLVND.
+
+Package: libglx0-glvnd-nvidia
+Architecture: i386 amd64 armhf
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${nvidia}-alternative (= ${binary:Version}),
+ ${shlibs:Depends}, ${misc:Depends}
+Conflicts:
+ libglx0,
+Replaces:
+ libglx0,
+Description: Vendor neutral GL dispatch library -- libGLX
+ This is an implementation of the vendor-neutral dispatch layer for
+ arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
+ .
+ This package contains the (binary) GLVND libGLX.so.0 stub library provided by
+ NVIDIA which dispatches to vendor implementations (libGLX_*.so.0) via GLVND.
 
 Package: libglx-nvidia0
 Architecture: i386 amd64 armhf
@@ -260,6 +311,27 @@
  .
  This package contains the driver specific binary GLX implementation by NVIDIA
  that is accessed via GLVND.
+
+Package: libgl1-glvnd-nvidia-glx
+Architecture: i386 amd64 armhf
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${nvidia}-alternative (= ${binary:Version}),
+ ${shlibs:Depends}, ${misc:Depends}
+Conflicts:
+ libgl1 (>> 0),
+ libgl1-${nvidia}-glx,
+Replaces:
+ libgl1 (>> 0),
+ libgl1-${nvidia}-glx,
+Description: Vendor neutral GL dispatch library -- libGL
+ This is an implementation of the vendor-neutral dispatch layer for
+ arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
+ .
+ This package contains the (binary) GLVND libGL.so.1 stub library provided by
+ NVIDIA which dispatches to vendor implementations via GLVND.
 
 Package: libgl1-nvidia-glvnd-glx
 Architecture: i386 amd64 armhf
@@ -296,6 +368,7 @@
  nvidia-support,
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
+ ${nvidia}-driver-libs-nonglvnd (= ${binary:Version}),
  ${nvidia:kmod:binary},
 Suggests:
  ${nvidia:kmod:source},
@@ -305,69 +378,3 @@
  libgl1-${nvidia}-glvnd-glx,
 Description: NVIDIA binary OpenGL/GLX library (non-GLVND variant)${nvidia:LegacyDesc}
  The NVIDIA binary driver provides optimized hardware acceleration of
- OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
- for graphics cards using NVIDIA chip sets.
- .
- See the description of the ${nvidia}-driver package
- or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
- for a complete list of supported GPUs and PCI IDs.
- .
- This package contains the driver specific binary OpenGL/GLX implementation
- provided by NVIDIA as a non-GLVND alternative.
-
-Package: libnvidia-glcore
-Architecture: i386 amd64 armhf
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${shlibs:Depends}, ${misc:Depends}
-Provides:
- libnvidia-glcore-${nvidia:Version},
-Conflicts:
- libnvidia-glcore-${nvidia:Version},
- libgl1-nvidia-glx-${nvidia:Version},
-Breaks:
- libgl1-${nvidia}-glx (<< 355.11-5),
-Replaces:
- libgl1-${nvidia}-glx (<< 355.11-5),
-Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:LegacyDesc}
- The NVIDIA binary driver provides optimized hardware acceleration of
- OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
- for graphics cards using NVIDIA chip sets.
- .
- This package contains the private core libraries used by the NVIDIA
- implementation of OpenGL and GLX.
-
-Package: libegl1-nvidia
-Architecture: i386 amd64 armhf
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${nvidia}-alternative (= ${binary:Version}),
- libegl-${nvidia}0 (= ${binary:Version}),
- ${shlibs:Depends}, ${misc:Depends}
-Conflicts:
- ${nvidia}-driver-libs,
- libgl1-${nvidia}-glvnd-glx,
-Description: NVIDIA binary EGL library (non-GLVND variant)${nvidia:LegacyDesc}
- EGL provides a platform-agnostic mechanism for creating rendering surfaces
- for use with other graphics libraries, such as OpenGL|ES.
- .
- This package contains the driver specific binary EGL implementation by NVIDIA
- as a non-GLVND alternative.
-
-Package: libegl-nvidia0
-Architecture: i386 amd64 armhf
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${nvidia}-alternative (= ${binary:Version}),
- lib${nvidia}-eglcore (= ${binary:Version}),
- ${shlibs:Depends}, ${misc:Depends}
-Description: NVIDIA binary EGL library${nvidia:LegacyDesc}
- EGL provides a platform-agnostic mechanism for creating rendering surfaces
- for use with other graphics libraries, such as OpenGL|ES.
- .
