=== debian/rules ===
--- 
+++ 
@@ -83,6 +83,7 @@
 AUTOGEN		+= debian/nv-readme.ids
 AUTOGEN		+= nvidia-amd64.ids
 AUTOGEN		+= $(if $(has_vulkan),glvnd/nvidia_icd.json nonglvnd/nvidia_icd.json)
+AUTOGEN		+= $(AUTOKEEP)
 AUTOKEEP	 = debian/watch debian/control
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -102,7 +103,7 @@
 
 
 .PHONY: autogen prepare patch
-autogen: $(AUTOGEN)
+autogen: debian/control $(AUTOGEN)
 prepare: autogen unpack-stamp
 prepare: nvidia.ids compare-copyright-license
 patch: prepare
@@ -182,6 +183,16 @@
 	dh_clean
 	$(RM) $(AUTOCLEAN)
 	$(MAKE) -f debian/rules $(AUTOKEEP)
+# this will fail unless debian/control{,.md5sum} is up-to-date
+	md5sum --check debian/control.md5sum --status || \
+		$(MAKE) -f debian/rules debian/control-real
+
+CONTROL_FILES	 = debian/control.in debian/gen-control.pl debian/rules debian/rules.defs
+
+debian/control: $(CONTROL_FILES) debian/changelog
+	md5sum --check debian/control.md5sum --status || \
+		$(MAKE) -f debian/rules debian/control-real
+	touch $@
 
 override_dh_auto_configure: prepare
 
@@ -196,17 +207,3 @@
 	# "Install" into debian/tmp.
 	$(RM) -r debian/tmp
 	cp -al NVIDIA-Linux/ debian/tmp
-	$(RM) -r debian/tmp/32
-	$(RM) -r debian/tmp/libglvnd_install_checker
-	$(RM) debian/tmp/NVIDIA_Changelog
-	gzip -9fn debian/tmp/nvidia-smi.1
-
-build-kernel-source-tree: install-into-tmp
-	# Build the nvidia-kernel-source tree.
-	$(RM) -r $(module_source)
-	mkdir -p $(module_source)
-	mv debian/tmp/kernel/* $(module_source)/
-	# This copy of the changelog is going to be installed into the module
-	# binary packages.
-	cp -al $(upstream_changelog) $(module_source)/
-
